MantisBT

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003549ATutorUpgradingpublic2008-09-02 06:412014-08-06 21:32
ReporterIndieRect 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.6.1 
Target VersionFixed in Version1.6.4 
Summary0003549: TIMESTAMP: Member profile date reset to current during upgrade
DescriptionWhen upgrading, column `creation_date` in `AT_members` is set to current time for all members.
It's yet another TIMESTAMP-related issue.

The bug source is in install/db/atutor_upgrade_1.6_to_1.6.1.sql on line 33.
Also run 'grep -R UPDATE * | grep TABLE_PREFIX | grep members | grep -v creation_date' from an installation root. Being a rough approach that gives both false positives and, probably, false negatives, it nevertheless discovers at least four more bugs (one in install area).

Suggested fix:
Add "creation_date=creation_date, last_login=last_login" to SET clause of those five SQL queries.
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0003190)
greg (administrator)
2008-09-25 07:39

added creation_date=creation_date to UPDATE sql in

ustep_pwd_encryt.php
password_reminder.php
confirm.php
atutor_upgrade_1.6_to_1.6.1.sql
(0003751)
IndieRect (reporter)
2009-08-12 01:36

Please fix one more such bug in admin/user_status.php, line 33.
(0003850)
cindy (administrator)
2009-11-09 09:17

SVN revision: 8893

Solution: add " creation_date = creation_date" into SQLs of updating members table.

Affected scripts:
admin/user_status.php
install/include/ustep_pwd_encryt.php

- Related Changesets
ATutor: master a2d1396e
Timestamp: 2008-09-25 11:29:53
Author: greg
Details ] Diff ]
fix 0003549 changing creation date
mod - docs/confirm.php Diff ] File ]
ATutor: master dd075262
Timestamp: 2008-09-25 11:30:24
Author: greg
Details ] Diff ]
fix 0003549 changing creation date
mod - docs/install/db/atutor_upgrade_1.6_to_1.6.1.sql Diff ] File ]
ATutor: master d6889ce6
Timestamp: 2008-09-25 11:36:55
Author: greg
Details ] Diff ]
fix 0003549 changing creation date
mod - docs/password_reminder.php Diff ] File ]
http://svn.atutor.ca/repos/atutor: svn 7936
Timestamp: 2008-09-25 15:29:53
Author: greg
Details ] Diff ]
fix 0003549 changing creation date
/trunk/docs/confirm.php () Diff ] File ]
http://svn.atutor.ca/repos/atutor: svn 7937
Timestamp: 2008-09-25 15:30:24
Author: greg
Details ] Diff ]
fix 0003549 changing creation date
/trunk/docs/install/db/atutor_upgrade_1.6_to_1.6.1.sql () Diff ] File ]
http://svn.atutor.ca/repos/atutor: svn 7938
Timestamp: 2008-09-25 15:36:55
Author: greg
Details ] Diff ]
fix 0003549 changing creation date
/trunk/docs/password_reminder.php () Diff ] File ]

- Issue History
Date Modified Username Field Change
2008-09-02 06:41 IndieRect New Issue
2008-09-02 06:41 IndieRect Affects version => SVN
2008-09-25 07:39 greg Status new => resolved
2008-09-25 07:39 greg Fixed in Version => 1.6.2
2008-09-25 07:39 greg Resolution open => fixed
2008-09-25 07:39 greg Assigned To => greg
2008-09-25 07:39 greg Note Added: 0003190
2008-11-14 08:23 greg Status resolved => closed
2009-08-12 01:36 IndieRect Status closed => feedback
2009-08-12 01:36 IndieRect Resolution fixed => reopened
2009-08-12 01:36 IndieRect Note Added: 0003751
2009-11-05 09:59 greg Status feedback => assigned
2009-11-05 09:59 greg Assigned To greg => cindy
2009-11-09 09:17 cindy Status assigned => resolved
2009-11-09 09:17 cindy Fixed in Version 1.6.2 => 1.6.4
2009-11-09 09:17 cindy Resolution reopened => fixed
2009-11-09 09:17 cindy Note Added: 0003850
2009-12-01 08:41 greg Status resolved => closed
2011-01-11 12:39 greg Changeset attached => http://svn.atutor.ca/repos/atutor [^] trunk r7936
2011-01-11 12:39 greg Changeset attached => http://svn.atutor.ca/repos/atutor [^] trunk r7937
2011-01-11 12:39 greg Changeset attached => http://svn.atutor.ca/repos/atutor [^] trunk r7938
2014-08-06 21:32 greg Changeset attached => Import 2014-08-06 19:06:05 master d6889ce6
2014-08-06 21:32 greg Changeset attached => Import 2014-08-06 19:06:05 master dd075262
2014-08-06 21:32 greg Changeset attached => Import 2014-08-06 19:06:05 master a2d1396e


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker